#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long a, b, temp;
    vector<long long> c;
    int n;
    cin >> a >> b;
    n = int(log10(max(a, b)) + 1);
    for(int i = 0; i < n; i++){
        c.insert(c.begin(), max(a%10, b%10));
        if(a%10 == b%10 && a > 0 && b > 0){
            c.insert(c.begin(), max(a%10, b%10));
        }
        a /= 10;
        b /= 10;
    }
    for(int i = 0; i < c.size(); i++){
        cout << c[i];
    }
    return 0;
}